Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.util
Interface NLSBundleInfo

    public interface NLSBundleInfo

Field Summary
`static int` | `INFOTYPE_DATAMAPPING`
`static int` | `INFOTYPE_TEXTREPLACE`
`static int` | `TEXTREPLACE_FORCOLUMN`
`static int` | `TEXTREPLACE_FORFORMAT`
`static int` | `TEXTREPLACE_FORLABEL`
`static int` | `TEXTREPLACE_FORPROMPT`
`static int` | `TEXTREPLACE_FORTOCANCHOR`

Method Summary
`int` | `getBundleUsage()` the useage of this info.
`java.lang.String` | `getDataMapped(java.lang.String dataValue)` Will be called if `getBundleUsage()` is INFOTYPE_DATAMAPPING or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.
`java.lang.String[]` | `getFontStyleReplace(java.lang.String fontFace, double fs_inch)` Will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.
`boolean` | `getIsEmptyBundle()`
`java.lang.String` | `getTextReplace(int replaceID, java.lang.String originText)` Will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

Field Detail

### INFOTYPE_TEXTREPLACE

    static final int INFOTYPE_TEXTREPLACE

See Also:
  Constant Field Values

### INFOTYPE_DATAMAPPING

    static final int INFOTYPE_DATAMAPPING

See Also:
  Constant Field Values

### TEXTREPLACE_FORLABEL

    static final int TEXTREPLACE_FORLABEL

See Also:
  Constant Field Values

### TEXTREPLACE_FORTOCANCHOR

    static final int TEXTREPLACE_FORTOCANCHOR

See Also:
  Constant Field Values

### TEXTREPLACE_FORPROMPT

    static final int TEXTREPLACE_FORPROMPT

See Also:
  Constant Field Values

### TEXTREPLACE_FORFORMAT

    static final int TEXTREPLACE_FORFORMAT

See Also:
  Constant Field Values

### TEXTREPLACE_FORCOLUMN

    static final int TEXTREPLACE_FORCOLUMN

See Also:
  Constant Field Values

Method Detail

### getBundleUsage

    int getBundleUsage()

  the useage of this info. it may : INFOTYPE_TEXTREPLACE, INFOTYPE_DATAMAPPING , INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE

### getDataMapped

    java.lang.String getDataMapped(java.lang.String dataValue)

  Will be called if `getBundleUsage()` is INFOTYPE_DATAMAPPING or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

  Parameters:
    `dataValue` - : the original Value.
  Returns:

### getTextReplace

    java.lang.String getTextReplace(int replaceID,
                                    java.lang.String originText)

  Will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

  Parameters:
    `replaceID` - : the text replaced ID : may one of : TEXTREPLACE_FORLABEL,TEXTREPLACE_FORTOCANCHOR, TEXTREPLACE_FORPROMPT,TEXTREPLACE_FORFORMAT, TEXTREPLACE_FORCOLUMN
    `originText` -
  Returns:

### getFontStyleReplace

    java.lang.String[] getFontStyleReplace(java.lang.String fontFace,
                                           double fs_inch)

  Will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

  Parameters:
    `fontFace` - : Font face name
    `fs_inch` - : font size, the unit is inch.
  Returns:
    String[0] : the font face name, string[1] : the String vlaue of the fontsize in inch.

### getIsEmptyBundle

    boolean getIsEmptyBundle()

  Returns:
    is this bundle Empty

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD